<?php
/* ====================
[BEGIN_COT_EXT]
Hooks=page.list.tags
[END_COT_EXT]
==================== */

/**
 * Advanced filtering for page lists
 * 
 * Filter types:
 *  eq - Equals (page_$field = $value)
 *  ne - Not Equal (page_$field != $value)
 *  lt - Less Than (page_$field < $value)
 *  lte - Less Than or Equal (page_$field <= $value)
 *  gt - Greater Than (page_$field > $value)
 *  gte - Greater Than or Equal (page_$field >= $value)
 *  in - SQL IN operator (page_$field IN ($value1, $value2, $value3)) Values must be comma seperated
 *  rng - SQL BETWEEN operator (page_$field BETWEEN $value1 AND $value2) Values must be seperated with two periods (1..2)
 */

defined('COT_CODE') or die('Wrong URL');

$autocats = $cfg['plugin']['autofilters']['pagecat'];
$autocatsn = $cfg['plugin']['autofilters']['pagename'];

$autocheck = explode(',', $cfg['plugin']['autofilters']['pagecheckbox']);
$autosel = explode(',', $cfg['plugin']['autofilters']['pageselect']);

$t->assign(array(
			'A_CAT' => listfilter_form_selectbox('eq', 'cat', $autocats, '', $autocatsn),
		));
	
	
foreach ($autosel as $svalue)	{

$adatas = $db->query("SELECT * FROM $db_extra_fields WHERE field_name = '".$svalue."'")->fetch();

$t->assign(array(
			'A_'.$svalue => listfilter_form_selectbox('eq', $svalue, $adatas['field_variants'], '', $adatas['field_description']),
		));
}		
		
foreach ($autocheck as $ssvalue)	{

$adatass = $db->query("SELECT * FROM $db_extra_fields WHERE field_name = '".$ssvalue."'")->fetch();

$t->assign(array(
			'A_'.$ssvalue => listfilter_form_checkbox('eq', $ssvalue, '1', '', $adatass['field_description']),
		));		
}		



?>